local serverReady = game.ReplicatedStorage.Events.ServerReady
serverReady.OnClientEvent:Connect(function(x)
	script.Parent.Green.Size = UDim2.new(x, 0, 0.1, 0)
	if x == 1 then
		script.Parent.Parent.Enabled = false
	end
end)
